# - Try to locate SDL2_image
# This module defines:
#
#  SDL2_IMAGE_INCLUDE_DIR
#  SDL2_IMAGE_LIBRARY
#  SDL2_IMAGE_FOUND
#

FIND_PATH(SDL2_IMAGE_INCLUDE_DIR NAMES SDL2/SDL_image.h)

FIND_LIBRARY(SDL2_IMAGE_LIBRARY NAMES SDL2_image)

IF(SDL2_IMAGE_INCLUDE_DIR AND SDL2_IMAGE_LIBRARY)
	SET(SDL2_IMAGE_FOUND TRUE)
ENDIF(SDL2_IMAGE_INCLUDE_DIR AND SDL2_IMAGE_LIBRARY)

IF(SDL2_IMAGE_FOUND)
	IF(NOT SDL2_IMAGE_FIND_QUIETLY)
		MESSAGE(STATUS "Found SDL2_image: -I${SDL2_IMAGE_INCLUDE_DIR}, ${SDL2_IMAGE_LIBRARY}")
	ENDIF(NOT SDL2_IMAGE_FIND_QUIETLY)
ELSE(SDL2_IMAGE_FOUND)
	IF(SDL2_IMAGE_FIND_REQUIRED)
		MESSAGE(FATAL_ERROR "Could not find SDL2")
	ENDIF(SDL2_IMAGE_FIND_REQUIRED)
ENDIF(SDL2_IMAGE_FOUND)

MARK_AS_ADVANCED(SDL2_IMAGE_INCLUDE_DIR SDL2_IMAGE_LIBRARY SDL2_IMAGE_FOUND)
